Skip to main content
GET
Returns the economic calendar data

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date

pagesize
integer

Number of results returned. Limit 1000

Required range: x <= 1000
parameters[date]
string<YYYY-MM-DD>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[importance]
enum<integer>

The importance level to filter by. Uses Greater Than or Equal To the importance indicated

Available options:
1,
2,
3
parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

country
string<A-Z:3>

3-Digit Country Code (e.g., USA, CAN, GBR)

event_name
string<csv>

One or more event name prefixes separated by a comma (e.g., CPI matches CPI, CPI (MoM), CPI (Mom) - Prelim)

event_category
string<csv>

One or more categories separated by a comma

Response

success

API response containing an array of economic event records

economics
object[]